#include	"Types.r"
#include	"BalloonTypes.r"

resource 'hfdr' (-5696,"Finder")
	{
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
		{
		HMTEResItem
			{
			5000		  // Text resource ID 
			}
		}
	};

resource 'hmnu' (128,"Apple Menu")
	{
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
		{
		HMStringResItem
			{		 // item 0:Apple Menu  
			0,0,
			0,0,
			0,0,
			0,0,
			},
		HMStringResItem
			{		 // item 1:About Creator Changer... 
			1000,1,
			1000,2,
			0,0,
			0,0
			}
		}
	};

resource 'hmnu' (129,"File Menu")
	{
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
		{
		HMStringResItem
			{		 // item 0:File Menu  
			1001,1,
			1001,2,
			0,0,
			0,0
			},
		HMStringResItem
			{		 // item 1:Open... 
			1001,3,
			1001,4,
			0,0,
			0,0
			},
		HMStringResItem
			{		 // item 2:Preferences... 
			1001,5,
			1001,6,
			0,0,
			0,0
			},
		HMSkipItem { },	//	Divider Line
		HMStringResItem
			{		 // item 4:Quit 
			1001,7,
			1001,8,
			0,0,
			0,0
			}
		}
	};

resource 'hmnu' (130,"Edit Menu")
	{
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
		{
		HMStringResItem
			{		 // item 0:Edit Menu  
			1002,1,
			1002,2,
			0,0,
			0,0
			},
		HMStringResItem
			{		 // item 1:Undo 
			1002,3,
			1002,4,
			0,0,
			0,0
			},
		HMSkipItem { },
		HMStringResItem
			{		 // item 3:Cut 
			1002,5,
			1002,6,
			0,0,
			0,0
			},
		HMStringResItem
			{		 // item 4:Copy 
			1002,7,
			1002,8,
			0,0,
			0,0
			},
		HMStringResItem
			{		 // item 5:Patse 
			1002,9,
			1002,10,
			0,0,
			0,0
			},
		HMStringResItem
			{		 // item 6:Clear 
			1002,11,
			1002,12,
			0,0,
			0,0
			}
		}
	};

resource 'hdlg' (200,"Change Dialog")
	{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
		{
		HMStringResItem
			{		 // item 1:OK 
			{0,0},
			{0,0,0,0},
			2000,1,
			0,0,
			0,0,
			0,0
			},
		HMStringResItem
			{		 // item 2:Cancel 
			{0,0},
			{0,0,0,0},
			2000,2,
			0,0,
			0,0,
			0,0
			},
		HMStringResItem
			{		 // item 3: Change To Creator Type 
			{0,0},
			{0,0,0,0},
			2000,3,
			0,0,
			0,0,
			0,0
			},
		HMStringResItem	
			{		 // item 4: Change to File Type 
			{0,0},
			{0,0,0,0},
			2000,4,
			0,0,
			0,0,
			0,0
			},
		HMStringResItem
			{		 // item 5: Current Creator Type
			{0,0},
			{0,0,0,0},
			2000,5,
			0,0,
			0,0,
			0,0
			},
		HMStringResItem
			{		// item 6: Current FIle Type 
			{0,0},
			{0,0,0,0},
			2000,6,
			0,0,
			0,0,
			0,0
			},
		HMStringResItem
			{		 // item 7: Prefered Types List 
			{0,0},
			{0,0,0,0},
			2000,7,
			0,0,
			0,0,
			0,0
			},
		HMStringResItem
			{		 // item 8:Make Like... 
			{0,0},
			{0,0,0,0},
			2000,8,
			0,0,
			0,0,
			0,0
			},
		HMSkipItem { },			 // item 9: Text, Change To: 
		HMSkipItem { },			 // item 10: Text, Current: 
		HMSkipItem { },			 // item 11: Text, Creator Type: 
		HMSkipItem { },			 // item 12: Text, File Type: 
		HMSkipItem { },			 // item 13: Text, Types List: 
		HMSkipItem { }			 // item 14: UserItem, for dialog re-draw:
		}
	};

resource 'hdlg' (400,"About Dialog")
	{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
		{
		HMStringResItem
			{		 // item 1:OK 
			{0,0},
			{0,0,0,0},
			2001,1,
			0,0,
			0,0,
			0,0
			},
		HMPictItem
			{
			{0,0},
			{0,0,0,0},
			2001,
			0,
			0,
			0
			},
		HMSkipItem { },
		HMSkipItem { }			// item 4: UserItem, for dialog re-draw:
		}
	};

resource 'hdlg' (500,"Preferences")
	{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0,
	0,
	HMSkipItem { },
		{
		HMStringResItem
			{		 //  item 1: Preference pop-up selector
			{0,0},
			{0,0,0,0},
			2005,1,
			0,0,
			0,0,
			0,0
			},
		HMSkipItem { },
		HMSkipItem { },
		HMSkipItem { },
		HMSkipItem { },
		HMSkipItem { }
		}
	};

resource 'hwin' (200)
	{
	HelpMgrVersion,
	0,
		{
		200,	'hdlg',	13,	"Change Dialog"
		}
	};

resource 'hwin' (400)
	{
	HelpMgrVersion,
	0,
		{
		400,	'hdlg',	12,	"About Dialog"
		}
	};

resource 'hwin' (500)
	{
	HelpMgrVersion,
	0,
		{
		500,	'hdlg',	11,	"Preferences"
		}
	};